Skip to main content
`Ctrl`+`K`

# petsc4py.PETSc.SNES.NewtonALCorrectionType

class petsc4py.PETSc.SNES.NewtonALCorrectionType

  Bases: `object`

  SNESNEWTONAL correction type.

  See also

  `SNESNewtonALCorrectionType`

  Attributes Summary

  `EXACT` | Constant `EXACT` of type `int`
  `NORMAL` | Constant `NORMAL` of type `int`

  Attributes Documentation

  EXACT: int = EXACT

    Constant `EXACT` of type `int`

  NORMAL: int = NORMAL

    Constant `NORMAL` of type `int`

  __init__()
  classmethod __new__(*args, **kwargs)